﻿using Dapfor.Wpf.Controls;

namespace Dapfor.Wpf.Grid.Demo.Examples.Basics.FilteringAndGrouping
{
    internal class GridFilter : IFilter
    {
        public bool MinValueEnabled { get; set; }
        public bool MaxValueEnabled { get; set; }
        public double MinValue { get; set; }
        public double MaxValue{get; set; }

        #region IFilter Members

        public bool IsFiltered(Row row)
        {
            bool filtered = false;

            //The value may be null or DBNull
            if (row["amount"].Value is double)
            {
                var amount = (double)row["amount"].Value;
                filtered = (MinValueEnabled && amount < MinValue) || (MaxValueEnabled && amount > MaxValue);
            }
            return filtered;
        }

        #endregion
    }
}