﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;
using System.Windows.Input;
using Dapfor.Wpf.Controls;

namespace Dapfor.Wpf.Grid.Demo.Examples.Basics.HitTests
{
    class ColumnInfoConverter : IValueConverter
    {
        public enum InfoType
        {
            Index,
            Id,
            Title,
        }

        public InfoType Info { get; set; }

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var grid = (GridControl)value;
            Point position = Mouse.GetPosition(grid);
            Column column = grid.HitTests.ColumnTest(position);
            if (column != null)
            {
                switch (Info)
                {
                    case InfoType.Index: return column.VisibleIndex;
                    case InfoType.Id: return column.Id;
                    case InfoType.Title: return column.Title;
                }
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}
