﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;
using Dapfor.Wpf.Controls;

namespace Dapfor.Wpf.Grid.Demo.Examples.Performance.RealTimeSorting
{
    internal class FilteredValuesColorConverter : IMultiValueConverter
    {
        public Brush LessMinValueColor { get; set; }
        public Brush AboveMaxValueColor { get; set; }

        #region IMultiValueConverter Members

        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            if (values.Length == 2)
            {
                var control = values[0] as RealTimeSortingDemo;
                var cell = values[1] as Cell;

                if (control != null && cell != null)
                {
                    int value = (int) cell.Value;
                    if (value < control.MinValue) return LessMinValueColor;
                    if (value > control.MaxValue) return AboveMaxValueColor;
                }
            }

            return null;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            return null;
        }

        #endregion
    }
}