﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Media;
using Dapfor.Wpf.Grid.Demo.Internal;

namespace Dapfor.Wpf.Grid.Demo.Examples.WhyUs.Blinking
{
    /// <summary>
    ///     Interaction logic for BlinkingDemo.xaml
    /// </summary>
    [Example("Why us?", "Cell blinking", "Description_WhyUsCellBlinking")]
    public partial class BlinkingDemo
    {
        private readonly List<Brush> _brushes = new List<Brush>();
        private readonly Random _r = new Random();

        public BlinkingDemo()
        {
            InitializeComponent();

            var propertyInfos = typeof (Brushes).GetProperties();
            foreach (var info in propertyInfos)
            {
                //if (info.PropertyType is Brush)
                {
                    var b = info.GetValue(null, null) as Brush;
                    if (b != null && !Equals(b, Brushes.Transparent))
                    {
                        _brushes.Add(b);
                    }
                }
            }


            for (var i = 0; i < 20; ++i)
            {
                grid.Rows.Add(new object[] {"Item " + i + ", 0", "Item " + i + ", 1", "Item " + i + ", 2", "Item " + i + ", 3", "Item " + i + ", 4", "Item " + i + ", 5"});
            }

            for (var i = 5; i < 15; ++i)
            {
                grid.Rows[i].Selected = true;
            }
        }

        private void btnGreen_Click(object sender, RoutedEventArgs e)
        {
            var row = grid.Rows[_r.Next(grid.Rows.Count)];
            var cell = row[_r.Next(grid.Headers[0].Count)];

            cell.Blink(TimeSpan.FromSeconds(1), btnGreen.Foreground);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var row = grid.Rows[_r.Next(grid.Rows.Count)];
            var cell = row[_r.Next(grid.Headers[0].Count)];

            cell.Blink(TimeSpan.FromSeconds(3), btnCustom.Background);
        }

        private void OnRandomBrushClick(object sender, RoutedEventArgs e)
        {
            var row = grid.Rows[_r.Next(grid.Rows.Count)];
            var cell = row[_r.Next(grid.Headers[0].Count)];

            cell.Blink(TimeSpan.FromSeconds(5), _brushes[_r.Next(_brushes.Count)]);
        }
    }
}