﻿using System;
using Dapfor.Wpf.Converters;
using Dapfor.Wpf.Data;


namespace Dapfor.Wpf.Grid.Demo.Examples.WhyUs.ObservableCollectionsInRows
{
    internal class ChildClass
    {
        private readonly int _idChild;
        private readonly int _idRoot;

        public ChildClass(int idRoot, int idChild, DateTime date, int index, TimeSpan period)
        {
            _idRoot = idRoot;
            _idChild = idChild;
            Date = date;
            Index = index;
            Period = period;
        }

        [Field("IdDate")]
        [Converter("d")]
        public DateTime Date { get; set; }

        [Field("IdIndex")]
        public int Index { get; set; }

        [Field("IdPeriod")]
        [Converter(typeof (DateTimeCustomConverter))]
        public TimeSpan Period { get; set; }

        public override string ToString()
        {
            return string.Format("ChildClass {0},{1}", _idRoot, _idChild);
        }
    }
}