﻿using System;
using System.Windows;

namespace Dapfor.Wpf.Grid.Demo.GenericControls
{
    public partial class NumericUpDown
    {
        #region Value dependency Property

        public static readonly DependencyProperty ValueProperty = DependencyProperty.Register("Value", typeof(double), typeof(NumericUpDown), new FrameworkPropertyMetadata(0d));
        public double Value
        {
            get { return (double)GetValue(ValueProperty); }
            set
            {
                if(Value != value)
                {
                    SetValue(ValueProperty, value);    
                }
            }
        }

        #endregion


        public NumericUpDown()
        {
            InitializeComponent();
        }

        public double MinValue { get; set; }
        public double MaxValue { get; set; }

        private void upButton_Click(object sender, EventArgs e)
        {
            Value = Math.Min(MaxValue, Value + 1d);
        }

        private void downButton_Click(object sender, EventArgs e)
        {
            Value = Math.Max(MinValue, Value - 1d);
        }
    }
}
